/*====================================================================*\

package-info.java

Package information.

------------------------------------------------------------------------

This file is part of the Blank Aspect NLF library (Java package
uk.org.blankaspect.nlf).
Copyright 2007-2013 Andy Morgan-Richards.

The Blank Aspect NLF library is free software: you can redistribute
it and/or modify it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.

\*====================================================================*/


// PACKAGE


/**
 * Provides classes that can be used to read, write and manipulate files in NLF (Nested List File) format.
 * <p>
 * <a href="http://onda.sourceforge.net/nlf/nlfFormat.html">NLF format</a> is a general, chunk-based file
 * metaformat for binary data.
 * </p>
 *
 * @version 1.3, 2013-02-11
 */

package uk.org.blankaspect.nlf;

//----------------------------------------------------------------------
